<?php

/**
 * 
 * 1. Brak weryfikacji kodem SMS
 * 2. Zapis do jednej zadeklarowanej grupy kontaktow
 * 
 * --------------------------
 * Parametry do wprowadzenia:
 * 1. Login i hasło do SerwerSMS
 * 2. Identyfikator grupy kontaktow (do pobrania w Panelu Klienta, po wybraniu edycji danej grupy)
 * 
 */

session_start();

function czyscDane($string){
    return addslashes(htmlspecialchars(trim($string)));
}

require_once("SerwerSMS_Kontakty.class.php");

$SerwerSMS = new SerwerSMS_Kontakty("login","haslo");
$SerwerSMS->setNadawca('INFORMACJA'); // Nagłówek nadawcy wiadomości SMS
$SerwerSMS->setPotwierdzenieSMS("To jest tresc smsa potwierdzajacego dopisanie do kontaktow"); // Treść SMS-a potwierdzającego dodanie numeru do kontaktów

$wynik = null;
$numer = null;
$id_grupy = '00000001';

if(isset($_POST['numer'])){
    $numer = czyscDane($_POST['numer']);
    $dodaj = $SerwerSMS->dodajKontakt($id_grupy,$numer);
        if($dodaj['stan'] == 'OK'){
            $SerwerSMS->wyslijPotwierdzenieDopisania($numer);
            $wynik = 1;
        } else {
            $wynik = 2;
        }
} else {
    $wynik = null;
}

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <title>SerwerSMS Kontakty - Przykład 1</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    </head>
    <body>
        <p>
            <?php
            switch ($wynik) {
                case 1:
                    echo '<span style="color: green">Twój numer został poprawnie dodany do bazy. Za chwilę otrzymasz SMS z potwierdzeniem</span>';
                    break;
                case 1:
                    echo '<span style="color: red">Błąd zapisu numeru</span>';
                    break;
            }
            ?>
        </p>

        <form method="post">
            <label for="numer">Numer telefonu komórkowego: </label>
            <input type="text" name="numer" id="numer" />
            <input type="submit" value="Dodaj" />
        </form>
</body>
</html>